# SPDX-FileCopyrightText: Copyright (c) 2024, Linaro Limited.
#
# SPDX-License-Identifier: MIT
ARG DOCKERHUB_MIRROR=

FROM ${DOCKERHUB_MIRROR}ubuntu:jammy

RUN apt-get update && \
    apt-get install -y locales && \
    localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
ENV LANG=en_US.utf8
ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get install -y \
    git \
    sudo \
    cpio \
    gawk \
    wget \
    sbsigntool

RUN adduser --disabled-password build-user && \
    echo 'build-user ALL=(ALL) NOPASSWD: ALL' >> /etc/sudoers

USER build-user

WORKDIR /home/build-user
